Bug 530269 (CVE-2009-3623) - CVE-2009-3623 kernel: nfsd4: fix null dereference creating nfsv4 callback client
Summary: CVE-2009-3623 kernel: nfsd4: fix null dereference creating nfsv4 callback client
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2009-3623
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 531663
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-22 04:51 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 19:21:48 UTC


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2009-10-22 04:51:23 UTC
Quoting from upstream patch:
On setting up the callback to the client, we attempt to use the same authentication flavor the client did.  We find an rpc cred to use by calling rpcauth_lookup_credcache(), which assumes that the given authentication flavor has a credentials cache.  However, this is not required to be true--in particular, auth_null does not use one. Instead, we should call the auth's lookup_cred() method.

Without this, a client attempting to mount using nfsv4 and auth_null triggers a null dereference.

The code was introduced in upstream commit 3cef9ab2 (v2.6.31-rc1), fixed in 886e3b7f (v2.6.32-rc1), and was later replaced by 80fc015b.

Comment 1 Chuck Ebbert 2009-10-22 20:12:54 UTC
Commit 886e3b7f is also in 2.6.31.2 (nfsd4-fix-null-dereference-creating-nfsv4-callback-client.patch), so no fix needed for Fedora 12.


Note You need to log in before you can comment on or make changes to this bug.